//----------------------------------------------------------------------------
#ifndef TPlayWavDlgH
#define TPlayWavDlgH
//----------------------------------------------------------------------------
#include <vcl\System.hpp>
#include <vcl\Windows.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <MPlayer.hpp>
//----------------------------------------------------------------------------
class TPlayWavDlg : public TForm
{
__published:
    TMediaPlayer *Player;
    TTrackBar *PosBar;
    TTimer *Timer;
    TLabel *FileName;
    TLabel *EndTime;
    TLabel *Label2;
    TButton *Button1;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TimerTimer(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall PlayerClick(TObject *Sender, TMPBtnType Button,
          bool &DoDefault);
    void __fastcall PosBarChange(TObject *Sender);
private:
public:
	virtual __fastcall TPlayWavDlg(TComponent* AOwner);
    void __fastcall Play(AnsiString FileName);
};
//----------------------------------------------------------------------------
extern PACKAGE TPlayWavDlg *PlayWavDlg;
//----------------------------------------------------------------------------
#endif    
