//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "TAboutBox.h"
//--------------------------------------------------------------------- 
#pragma resource "*.dfm"
TAboutBox *AboutBox;
//--------------------------------------------------------------------- 
__fastcall TAboutBox::TAboutBox(TComponent* AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------

void __fastcall TAboutBox::FormCreate(TObject *Sender)
{
	DWORD dwBufLen = GetFileVersionInfoSize(Application->ExeName.c_str(), NULL);

	if (!dwBufLen)
    {
		Version->Caption = "Version 1.0";
		return;
	}

	char *pszBuf = new char[dwBufLen];

	try
    {
        VS_FIXEDFILEINFO *pstInfo;

		if (!GetFileVersionInfo(Application->ExeName.c_str(), 0, dwBufLen, pszBuf))
        {
			Version->Caption = "Version 1.0";
			return;
		}

		if (!VerQueryValue(pszBuf, "\\", (void **)&pstInfo, (UINT *)&dwBufLen))
        {
			Version->Caption = "Version 1.0";
			return;
		}

		Version->Caption = "Version " +
            AnsiString((pstInfo->dwProductVersionMS & 0xFFFF0000) >> 16)+ "." +
            AnsiString(pstInfo->dwProductVersionMS & 0x0000FFFF) +
            "   (Build " +
            AnsiString(pstInfo->dwProductVersionLS) + ")";
	}
	__finally
    {
		delete[] pszBuf;
	}
}
//---------------------------------------------------------------------------
void __fastcall TAboutBox::Label3Click(TObject *Sender)
{
	ShellExecute(NULL, "open", "iexplore.exe",
        Label3->Caption.c_str(), NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------
void __fastcall TAboutBox::Label4Click(TObject *Sender)
{
	ShellExecute(NULL, NULL, (AnsiString("mailto:") + Label4->Caption).c_str(),
        NULL, NULL, SW_SHOW);
}
//---------------------------------------------------------------------------

